| Class RoiIOContext The I/O context to use for ROI I/O. RoiIOContext<TNameStore[, TNameStoreCache]> Include Headers bam_io.h Parameters
TNameStore | The name store class.
TNameStoreCache | The name store cache class. Default: NameStoreCache<TNameStore>
Typedefs
TNameStore | The name store class.
TNameStoreCache | The name store cache class.
Member Functions
RoiIOContext | Constructor.
Functions
nameStore | Return reference to name store from RoiIOContext.
nameStoreCache | Return reference to name store cache from RoiIOContext.
Examples Creating a RoiIOContext for a raw StringSet of CharString. StringSet<CharString> nameStore; NameStoreCache<StringSet<CharString> > nameStoreCache(nameStore); RoiIOContext<StringSet<CharString> > bamIOContext(nameStore, nameStoreCache); // ... Using a RoiIOContext with a FragmentStore. typedef FragmentStore<>::TContigNameStore TNameStore; typedef NameStoreCache<TNameStore> TNameStoreCache; FragmentStore<> store; // Optionally, do something with store. typedef RoiIOContext<TNameStore, TNameStoreCache> TRoiIOContext; TRoiIOContext bamIOContext(store.contigNameStore, store.contigNameStoreCache); // ... SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:56